@font-face {
  font-family: "Fbrush";
  src:
    local("FrancGothiqueBrush"),
    url("typos/FrancGothiqueBrush.ttf") format("truetype");
}


body {
  font-family: "Fbrush", sans-serif;
  margin: 0; padding: 0;
  background:#000000;
  cursor: url('images/skull.svg'), auto;
  
  background-image: url('https://media0.giphy.com/media/v1.Y2lkPTc5MGI3NjExbHFwOGRqNTN0NG9neXZhbHRpa3J6aHFucXRpdHdpdW90N3h0eHFlNyZlcD12MV9pbnRlcm5hbF9naWZfYnlfaWQmY3Q9Zw/zW0n7AIWG4ka4/giphy.gif');
  background-size: cover; /* Couvre tout l'écran */
  background-repeat: no-repeat; /* Pas de répétition */
  background-position: center center; /* Centre le GIF */
  background-attachment: fixed; /* Fixe le fond lors du défilement */
}

a:link, a:active, a:visited{
    text-decoration: none;
    color: white;
}

a:hover{
    color:#b700ff;
    font-size: 18px;
}


span:nth-of-type(1) {
    animation-delay: 0.25s;
}
.closebtn {
margin: 8px;
color: rgb(0, 0, 0);
font-weight: bold;
float:right;
font-size: 35px;
line-height: 10px;
cursor: pointer;
transition: 0.3s;
}
    .closebtn:hover {
        transform: scale(2.2);
    }
.Antifa {
padding: 25px;
background-color: #ffffff;
color: #b700ff;
margin-bottom: 15px;
position: fixed;
top: 8%;
font-size: 18px;
border-radius: #ffffff;
border-radius: 20px;
border: 5px solid black;
}



.etoile {
    margin: 100px 0;
    position: absolute;
    color: #ffffff;
    width: 100px;
    height: 50px;
    border-right: 50px solid transparent;
    border-left: 50px solid transparent;
    transform: rotate(35deg);
    font-size: 500%;
    animation: sparkle 1.5s infinite alternate;
    animation: moveX 13s linear 0s infitnite alternate;
    animation: moveY 7s linear 0s infinite alternate;
    }
    @keyframes sparkle { 
        from { opacity: 0.3; transform: scale(0.8); 
               margin-left: 0vw;
               width: 100vw;}

        to { opacity: 1; transform: scale(1.2); 
             margin-left: 10vw;
             height: 100vh;
            
        }
    } 
    @keyframes moveX {
        from {left: 0;}
        to {left: calc(100% - 100px);}
    }
    @keyframes moveY {
        from {top: 0;}
        to {top: calc(100% - 50px);}
    }


.boite-damier::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px; /* Épaisseur du damier */
    /* Génération du damier en noir et blanc */
    background-image: repeating-conic-gradient(#000 0 25%, #fff 0 50%);
    background-size: 90px 90px; /* Taille des carrés */
}

.contenu{
    position:absolute;
    width: 80%;
    margin-top: 15vh;
    left: 10%;
    right: 10%;
    padding-bottom: 10vh;
    border-radius: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    color: #fff;
    background: linear-gradient(12deg, rgba(0, 0, 0, 1), #b700ff);
    transition: transform 0.3s ease;
    z-index: 100;
    height: 250vh;
}



.mon-bloc {
    margin-top: 5%;
    border: 8px solid #b700ff; /* Épaisseur, style, couleur */
    padding: 20px;           /* Espace entre le texte et la bordure */
    background-color: #000000; /* Optionnel : couleur de fond */
    display: inline-block; /* Le bloc s'adapte au contenu */
    border-radius: 20px; /* Contour arrondi */
    transition: transform 0.3s ease;
    box-shadow: 0 4px 3px #4e016c, inset 0 0 1px 2px #f3f3f3;
}
    .mon-bloc:hover {
        transform: scale(1.1);
    }

    .bloc1 {
         width: fit-content; /* s'adapte au texte */
    }


.PhotoAli {
    img:hover { opacity: 0; }
    }



.GifTattoo {
    width: 200px;
    height: 200px;
    padding-bottom: 25px;
    transition: transform 0.3s ease-in-out;
    }
    .GifTattoo:hover {
        transform: scale(1.1);
    }

.Viewpictures {
    transition: transform 0.3s ease-in-out;
    padding-bottom: 5px;
    }
    .Viewpictures:hover {
        transform: scale(1.1);
        color: #b700ff;
    }


.field {
    width: 250px;
    margin-top: 20px;
    position: relative;
}
    .field input {
        width: 100%;
        padding: 10px;
        border: 1px #fff solid;
        border-radius: 7px;
        outline: none;
        background-color: #000;
        color: #fff;
    }

    .field label {
        position: absolute;
        top: 10px;
        left: 10px;
        color: #b700ff;
        font-size: 15px;
        transition: top 0.5s ease;
        padding: 0 8px;
        background-color: #000;
    }

    .field input:focus + label {
        top: -7px;
        font-size: 0.9rem;
        color: #c661ee;
    }